## org.eclipse.jst.jsf.facesconfig.emf.impl
Class FacesConfigTypeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.FacesConfigTypeImpl

All Implemented Interfaces:
  FacesConfigType

    public class FacesConfigTypeImpl

extends EObjectImpl
implements FacesConfigType

An implementation of the model object 'Type'.

The following features are implemented:

- `Application`
- `Ordering`
- `Absolute Ordering`
- `Factory`
- `Component`
- `Converter`
- `Managed Bean`
- `Name`
- `Navigation Rule`
- `Referenced Bean`
- `Render Kit`
- `Lifecycle`
- `Validator`
- `Behavior`
- `Faces Config Extension`
- `Xmlns`
- `Id`
- `Metadata Complete`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`NotificationChain` `basicSetAbsoluteOrdering(AbsoluteOrderingType newAbsoluteOrdering, NotificationChain msgs)`
`NotificationChain` `basicSetName(NameType newName, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`AbsoluteOrderingType` `getAbsoluteOrdering()`
`EList` `getApplication()`
`EList` `getBehavior()`
`EList` `getComponent()`
`EList` `getConverter()`
`EList` `getFacesConfigExtension()`
`EList` `getFactory()`
`java.lang.String` `getId()`
`EList` `getLifecycle()`
`EList` `getManagedBean()`
`NameType` `getName()`
`EList` `getNavigationRule()`
`EList` `getOrdering()`
`EList` `getReferencedBean()`
`EList` `getRenderKit()`
`EList` `getValidator()`
`java.lang.String` `getXmlns()`
`boolean` `isMetadataComplete()`
`boolean` `isSetXmlns()`
`void` `setAbsoluteOrdering(AbsoluteOrderingType newAbsoluteOrdering)`
`void` `setId(java.lang.String newId)`
`void` `setMetadataComplete(boolean newMetadataComplete)`
`void` `setName(NameType newName)`
`void` `setXmlns(java.lang.String newXmlns)`
`java.lang.String` `toString()`
`void` `unsetXmlns()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getApplication

    public EList getApplication()

  Specified by:
    `getApplication` in interface `FacesConfigType`
  Returns:
    the value of the 'Application' containment reference list.
  See Also:
    `FacesConfigPackage.getFacesConfigType_Application()`

### getOrdering

    public EList getOrdering()

  Specified by:
    `getOrdering` in interface `FacesConfigType`
  Returns:
    the value of the 'Ordering' containment reference list.
  See Also:
    `FacesConfigPackage.getFacesConfigType_Ordering()`

### getAbsoluteOrdering

    public AbsoluteOrderingType getAbsoluteOrdering()

  Specified by:
    `getAbsoluteOrdering` in interface `FacesConfigType`
  Returns:
    the value of the 'Absolute Ordering' containment reference.
  See Also:
    `FacesConfigType.setAbsoluteOrdering(AbsoluteOrderingType)`, `FacesConfigPackage.getFacesConfigType_AbsoluteOrdering()`

### basicSetAbsoluteOrdering

    public NotificationChain basicSetAbsoluteOrdering(AbsoluteOrderingType newAbsoluteOrdering,
                                                      NotificationChain msgs)

  Parameters:
    `newAbsoluteOrdering` -
    `msgs` -
  Returns:
    NotificationChain

### setAbsoluteOrdering

    public void setAbsoluteOrdering(AbsoluteOrderingType newAbsoluteOrdering)

  Specified by:
    `setAbsoluteOrdering` in interface `FacesConfigType`
  Parameters:
    `newAbsoluteOrdering` - the new value of the 'Absolute Ordering' containment reference.
  See Also:
    `FacesConfigType.getAbsoluteOrdering()`

### getFactory

    public EList getFactory()

  Specified by:
    `getFactory` in interface `FacesConfigType`
  Returns:
    the value of the 'Factory' containment reference list.
  See Also:
    `FacesConfigPackage.getFacesConfigType_Factory()`

### getComponent

    public EList getComponent()

  Specified by:
    `getComponent` in interface `FacesConfigType`
  Returns:
    the value of the 'Component' containment reference list.
  See Also:
    `FacesConfigPackage.getFacesConfigType_Component()`

### getConverter

    public EList getConverter()

  Specified by:
    `getConverter` in interface `FacesConfigType`
  Returns:
    the value of the 'Converter' containment reference list.
  See Also:
    `FacesConfigPackage.getFacesConfigType_Converter()`

### getManagedBean

    public EList getManagedBean()

  Specified by:
    `getManagedBean` in interface `FacesConfigType`
  Returns:
    the value of the 'Managed Bean' containment reference list.
  See Also:
    `FacesConfigPackage.getFacesConfigType_ManagedBean()`

### getName

    public NameType getName()

  Specified by:
    `getName` in interface `FacesConfigType`
  Returns:
    the value of the 'Name' containment reference.
  See Also:
    `FacesConfigType.setName(NameType)`, `FacesConfigPackage.getFacesConfigType_Name()`

### basicSetName

    public NotificationChain basicSetName(NameType newName,
                                          NotificationChain msgs)

  Parameters:
    `newName` -
    `msgs` -
  Returns:
    NotificationChain

### setName

    public void setName(NameType newName)

  Specified by:
    `setName` in interface `FacesConfigType`
  Parameters:
    `newName` - the new value of the 'Name' containment reference.
  See Also:
    `FacesConfigType.getName()`

### getNavigationRule

    public EList getNavigationRule()

  Specified by:
    `getNavigationRule` in interface `FacesConfigType`
  Returns:
    the value of the 'Navigation Rule' containment reference list.
  See Also:
    `FacesConfigPackage.getFacesConfigType_NavigationRule()`

### getReferencedBean

    public EList getReferencedBean()

  Specified by:
    `getReferencedBean` in interface `FacesConfigType`
  Returns:
    the value of the 'Referenced Bean' containment reference list.
  See Also:
    `FacesConfigPackage.getFacesConfigType_ReferencedBean()`

### getRenderKit

    public EList getRenderKit()

  Specified by:
    `getRenderKit` in interface `FacesConfigType`
  Returns:
    the value of the 'Render Kit' containment reference list.
  See Also:
    `FacesConfigPackage.getFacesConfigType_RenderKit()`

### getLifecycle

    public EList getLifecycle()

  Specified by:
    `getLifecycle` in interface `FacesConfigType`
  Returns:
    the value of the 'Lifecycle' containment reference list.
  See Also:
    `FacesConfigPackage.getFacesConfigType_Lifecycle()`

### getValidator

    public EList getValidator()

  Specified by:
    `getValidator` in interface `FacesConfigType`
  Returns:
    the value of the 'Validator' containment reference list.
  See Also:
    `FacesConfigPackage.getFacesConfigType_Validator()`

### getBehavior

    public EList getBehavior()

  Specified by:
    `getBehavior` in interface `FacesConfigType`
  Returns:
    the value of the 'Behavior' containment reference list.
  See Also:
    `FacesConfigPackage.getFacesConfigType_Behavior()`

### getFacesConfigExtension

    public EList getFacesConfigExtension()

  Specified by:
    `getFacesConfigExtension` in interface `FacesConfigType`
  Returns:
    the value of the 'Faces Config Extension' reference list.
  See Also:
    `FacesConfigPackage.getFacesConfigType_FacesConfigExtension()`

### getXmlns

    public java.lang.String getXmlns()

  Specified by:
    `getXmlns` in interface `FacesConfigType`
  Returns:
    the value of the 'Xmlns' attribute.
  See Also:
    `FacesConfigType.isSetXmlns()`, `FacesConfigType.unsetXmlns()`, `FacesConfigType.setXmlns(String)`, `FacesConfigPackage.getFacesConfigType_Xmlns()`

### setXmlns

    public void setXmlns(java.lang.String newXmlns)

  Specified by:
    `setXmlns` in interface `FacesConfigType`
  Parameters:
    `newXmlns` - the new value of the 'Xmlns' attribute.
  See Also:
    `FacesConfigType.isSetXmlns()`, `FacesConfigType.unsetXmlns()`, `FacesConfigType.getXmlns()`

### unsetXmlns

    public void unsetXmlns()

  Specified by:
    `unsetXmlns` in interface `FacesConfigType`
  See Also:
    `FacesConfigType.isSetXmlns()`, `FacesConfigType.getXmlns()`, `FacesConfigType.setXmlns(String)`

### isSetXmlns

    public boolean isSetXmlns()

  Specified by:
    `isSetXmlns` in interface `FacesConfigType`
  Returns:
    whether the value of the 'Xmlns' attribute is set.
  See Also:
    `FacesConfigType.unsetXmlns()`, `FacesConfigType.getXmlns()`, `FacesConfigType.setXmlns(String)`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `FacesConfigType`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `FacesConfigType.setId(String)`, `FacesConfigPackage.getFacesConfigType_Id()`

### setId

    public void setId(java.lang.String newId)

  Specified by:
    `setId` in interface `FacesConfigType`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `FacesConfigType.getId()`

### isMetadataComplete

    public boolean isMetadataComplete()

  Specified by:
    `isMetadataComplete` in interface `FacesConfigType`
  Returns:
    the value of the 'Metadata Complete' attribute.
  See Also:
    `FacesConfigType.setMetadataComplete(boolean)`, `FacesConfigPackage.getFacesConfigType_MetadataComplete()`

### setMetadataComplete

    public void setMetadataComplete(boolean newMetadataComplete)

  Specified by:
    `setMetadataComplete` in interface `FacesConfigType`
  Parameters:
    `newMetadataComplete` - the new value of the 'Metadata Complete' attribute.
  See Also:
    `FacesConfigType.isMetadataComplete()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()